Summary: japanized tcl and tk
Name: jp-tcltk
Version: 7.6p2_4.2p2
Release: 2b
Source0: ftp.sunlabs.com:/pub/tcl/tcl7.6p2.tar.gz
Source1: ftp.sunlabs.com:/pub/tcl/tk4.2p2.tar.gz
Copyright: BSD
Group: Development/Languages/Tcl
Patch0: tcl7.6jp-patch
Patch1: tk4.2jp-patch
Patch2: tcl7.6-ppc.patch
BuildRoot: /tmp/tcl-root
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
Source package for japanized tcl and tk. The binary packages
include descriptions of the functionality provided by each portion
of this package.

%package -n jp-tcltk
Version: 7.6p2_4.2p2
Summary: Japanized Tcl-7.6p2 and Tk-4.2p2, with shared libraries
Group: Development/Languages/Tcl

%description -n jp-tcltk
TCL is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. TCL is very popular for writing small graphical applications
because of the TK widget set which is closely tied to it.
Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%prep

%setup -T -c -a 0
%setup -T -D -a 1

cd tcl7.6
%patch0 -p0
#%ifarch ppc
#%patch2 -p1
#%endif
cd ../tk4.2
%patch1 -p0
cd ..

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local

%build

#
# Tcl
#
cd tcl7.6/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/local --enable-shared
make
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf tcl7.6jp $RPM_BUILD_ROOT/usr/local/lib/tcl
ln -sf tcl7.6jp $RPM_BUILD_ROOT/usr/local/lib/tcl7.6
ln -sf libtcl7.6jp.so $RPM_BUILD_ROOT/usr/local/lib/libtcl.so
ln -sf libtcl7.6jp.so $RPM_BUILD_ROOT/usr/local/lib/libtcl7.6.so
ln -sf tclsh7.6jp $RPM_BUILD_ROOT/usr/local/bin/tclsh
ln -sf tclsh7.6jp $RPM_BUILD_ROOT/usr/local/bin/tclsh7.6
cd ../..
#
# Tk
#
cd tk4.2/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/local --enable-shared
make
make INSTALL_ROOT=$RPM_BUILD_ROOT install
ln -sf tk4.2jp $RPM_BUILD_ROOT/usr/local/lib/tk
ln -sf tk4.2jp $RPM_BUILD_ROOT/usr/local/lib/tk4.2
ln -sf libtk4.2jp.so $RPM_BUILD_ROOT/usr/local/lib/libtk.so
ln -sf libtk4.2jp.so $RPM_BUILD_ROOT/usr/local/lib/libtk4.2.so
ln -sf wish4.2jp $RPM_BUILD_ROOT/usr/local/bin/wish
ln -sf wish4.2jp $RPM_BUILD_ROOT/usr/local/bin/wish4.2
cd ../..

%install

#
# Tcl and Tk get installed in the build section
# except for tkWStr.h that is needed for Japanization.
#
cd tk4.2/generic
install -o 0 -g 0 -m644 tkWStr.h $RPM_BUILD_ROOT/usr/local/include
cd ../..

%post -n jp-tcltk -p /sbin/ldconfig

%postun -n jp-tcltk -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -n jp-tcltk
/usr/local/lib/tcl7.6jp
/usr/local/lib/libtcl7.6jp.so
/usr/local/lib/tclConfig.sh
/usr/local/lib/tcl
/usr/local/lib/tcl7.6
/usr/local/lib/libtcl.so
/usr/local/lib/libtcl7.6.so
/usr/local/lib/tk4.2jp
/usr/local/lib/libtk4.2jp.so
/usr/local/lib/tkConfig.sh
/usr/local/lib/tk
/usr/local/lib/tk4.2
/usr/local/lib/libtk.so
/usr/local/lib/libtk4.2.so
/usr/local/bin/tclsh
/usr/local/bin/tclsh7.6jp
/usr/local/bin/tclsh7.6
/usr/local/bin/wish
/usr/local/bin/wish4.2jp
/usr/local/bin/wish4.2
/usr/local/include/tcl.h
/usr/local/include/tk.h
/usr/local/include/tkWStr.h
/usr/local/man/man1/tclsh.1
/usr/local/man/man1/wish.1
/usr/local/man/man3/AddErrInfo.3
/usr/local/man/man3/Alloc.3
/usr/local/man/man3/AllowExc.3
/usr/local/man/man3/AppInit.3
/usr/local/man/man3/AssocData.3
/usr/local/man/man3/Async.3
/usr/local/man/man3/BackgdErr.3
/usr/local/man/man3/Backslash.3
/usr/local/man/man3/CallDel.3
/usr/local/man/man3/CmdCmplt.3
/usr/local/man/man3/Concat.3
/usr/local/man/man3/CrtChannel.3
/usr/local/man/man3/CrtChnlHdlr.3
/usr/local/man/man3/CrtCloseHdlr.3
/usr/local/man/man3/CrtCommand.3
/usr/local/man/man3/CrtFileHdlr.3
/usr/local/man/man3/CrtInterp.3
/usr/local/man/man3/CrtMathFnc.3
/usr/local/man/man3/CrtModalTmt.3
/usr/local/man/man3/CrtSlave.3
/usr/local/man/man3/CrtTimerHdlr.3
/usr/local/man/man3/CrtTrace.3
/usr/local/man/man3/DString.3
/usr/local/man/man3/DetachPids.3
/usr/local/man/man3/DoOneEvent.3
/usr/local/man/man3/DoWhenIdle.3
/usr/local/man/man3/Eval.3
/usr/local/man/man3/Exit.3
/usr/local/man/man3/ExprLong.3
/usr/local/man/man3/FindExec.3
/usr/local/man/man3/GetFile.3
/usr/local/man/man3/GetInt.3
/usr/local/man/man3/GetOpnFl.3
/usr/local/man/man3/GetStdChan.3
/usr/local/man/man3/Hash.3
/usr/local/man/man3/Interp.3
/usr/local/man/man3/LinkVar.3
/usr/local/man/man3/Notifier.3
/usr/local/man/man3/OpenFileChnl.3
/usr/local/man/man3/OpenTcp.3
/usr/local/man/man3/PkgRequire.3
/usr/local/man/man3/Preserve.3
/usr/local/man/man3/PrintDbl.3
/usr/local/man/man3/RecordEval.3
/usr/local/man/man3/RegExp.3
/usr/local/man/man3/SetErrno.3
/usr/local/man/man3/SetRecLmt.3
/usr/local/man/man3/SetResult.3
/usr/local/man/man3/SetVar.3
/usr/local/man/man3/Sleep.3
/usr/local/man/man3/SplitList.3
/usr/local/man/man3/SplitPath.3
/usr/local/man/man3/StaticPkg.3
/usr/local/man/man3/StrMatch.3
/usr/local/man/man3/Tcl_Main.3
/usr/local/man/man3/TraceVar.3
/usr/local/man/man3/Translate.3
/usr/local/man/man3/UpVar.3
/usr/local/man/man3/Tcl_AddErrorInfo.3
/usr/local/man/man3/Tcl_Alloc.3
/usr/local/man/man3/Tcl_AllowExceptions.3
/usr/local/man/man3/Tcl_AppInit.3
/usr/local/man/man3/Tcl_AppendElement.3
/usr/local/man/man3/Tcl_AppendResult.3
/usr/local/man/man3/Tcl_AsyncCreate.3
/usr/local/man/man3/Tcl_AsyncDelete.3
/usr/local/man/man3/Tcl_AsyncInvoke.3
/usr/local/man/man3/Tcl_AsyncMark.3
/usr/local/man/man3/Tcl_BackgroundError.3
/usr/local/man/man3/Tcl_Backslash.3
/usr/local/man/man3/Tcl_CallWhenDeleted.3
/usr/local/man/man3/Tcl_CancelIdleCall.3
/usr/local/man/man3/Tcl_Close.3
/usr/local/man/man3/Tcl_CommandComplete.3
/usr/local/man/man3/Tcl_Concat.3
/usr/local/man/man3/Tcl_ConvertElement.3
/usr/local/man/man3/Tcl_CreateAlias.3
/usr/local/man/man3/Tcl_CreateChannel.3
/usr/local/man/man3/Tcl_CreateChannelHandler.3
/usr/local/man/man3/Tcl_CreateCloseHandler.3
/usr/local/man/man3/Tcl_CreateCommand.3
/usr/local/man/man3/Tcl_CreateEventSource.3
/usr/local/man/man3/Tcl_CreateExitHandler.3
/usr/local/man/man3/Tcl_CreateFileHandler.3
/usr/local/man/man3/Tcl_CreateHashEntry.3
/usr/local/man/man3/Tcl_CreateInterp.3
/usr/local/man/man3/Tcl_CreateMathFunc.3
/usr/local/man/man3/Tcl_CreateModalTimeout.3
/usr/local/man/man3/Tcl_CreateSlave.3
/usr/local/man/man3/Tcl_CreateTimerHandler.3
/usr/local/man/man3/Tcl_CreateTrace.3
/usr/local/man/man3/Tcl_DStringAppend.3
/usr/local/man/man3/Tcl_DStringAppendElement.3
/usr/local/man/man3/Tcl_DStringEndSublist.3
/usr/local/man/man3/Tcl_DStringFree.3
/usr/local/man/man3/Tcl_DStringGetResult.3
/usr/local/man/man3/Tcl_DStringInit.3
/usr/local/man/man3/Tcl_DStringLength.3
/usr/local/man/man3/Tcl_DStringResult.3
/usr/local/man/man3/Tcl_DStringSetLength.3
/usr/local/man/man3/Tcl_DStringStartSublist.3
/usr/local/man/man3/Tcl_DStringValue.3
/usr/local/man/man3/Tcl_DeleteAssocData.3
/usr/local/man/man3/Tcl_DeleteChannelHandler.3
/usr/local/man/man3/Tcl_DeleteCloseHandler.3
/usr/local/man/man3/Tcl_DeleteCommand.3
/usr/local/man/man3/Tcl_DeleteEventSource.3
/usr/local/man/man3/Tcl_DeleteExitHandler.3
/usr/local/man/man3/Tcl_DeleteFileHandler.3
/usr/local/man/man3/Tcl_DeleteHashEntry.3
/usr/local/man/man3/Tcl_DeleteHashTable.3
/usr/local/man/man3/Tcl_DeleteInterp.3
/usr/local/man/man3/Tcl_DeleteModalTimeout.3
/usr/local/man/man3/Tcl_DeleteTimerHandler.3
/usr/local/man/man3/Tcl_DeleteTrace.3
/usr/local/man/man3/Tcl_DetachPids.3
/usr/local/man/man3/Tcl_DoOneEvent.3
/usr/local/man/man3/Tcl_DoWhenIdle.3
/usr/local/man/man3/Tcl_DontCallWhenDeleted.3
/usr/local/man/man3/Tcl_Eof.3
/usr/local/man/man3/Tcl_Eval.3
/usr/local/man/man3/Tcl_EvalFile.3
/usr/local/man/man3/Tcl_EventuallyFree.3
/usr/local/man/man3/Tcl_Exit.3
/usr/local/man/man3/Tcl_ExprBoolean.3
/usr/local/man/man3/Tcl_ExprDouble.3
/usr/local/man/man3/Tcl_ExprLong.3
/usr/local/man/man3/Tcl_ExprString.3
/usr/local/man/man3/Tcl_FileReady.3
/usr/local/man/man3/Tcl_FindExecutable.3
/usr/local/man/man3/Tcl_FindHashEntry.3
/usr/local/man/man3/Tcl_FirstHashEntry.3
/usr/local/man/man3/Tcl_Flush.3
/usr/local/man/man3/Tcl_Free.3
/usr/local/man/man3/Tcl_FreeFile.3
/usr/local/man/man3/Tcl_GetAlias.3
/usr/local/man/man3/Tcl_GetAliases.3
/usr/local/man/man3/Tcl_GetAssocData.3
/usr/local/man/man3/Tcl_GetBoolean.3
/usr/local/man/man3/Tcl_GetChannelBufferSize.3
/usr/local/man/man3/Tcl_GetChannelFile.3
/usr/local/man/man3/Tcl_GetChannelInstanceData.3
/usr/local/man/man3/Tcl_GetChannelMode.3
/usr/local/man/man3/Tcl_GetChannelName.3
/usr/local/man/man3/Tcl_GetChannelOption.3
/usr/local/man/man3/Tcl_GetChannelType.3
/usr/local/man/man3/Tcl_GetCommandInfo.3
/usr/local/man/man3/Tcl_GetDouble.3
/usr/local/man/man3/Tcl_GetErrno.3
/usr/local/man/man3/Tcl_GetFile.3
/usr/local/man/man3/Tcl_GetFileInfo.3
/usr/local/man/man3/Tcl_GetHashKey.3
/usr/local/man/man3/Tcl_GetHashValue.3
/usr/local/man/man3/Tcl_GetInt.3
/usr/local/man/man3/Tcl_GetMaster.3
/usr/local/man/man3/Tcl_GetOpenFile.3
/usr/local/man/man3/Tcl_GetPathType.3
/usr/local/man/man3/Tcl_GetSlave.3
/usr/local/man/man3/Tcl_GetSlaves.3
/usr/local/man/man3/Tcl_GetStdChannel.3
/usr/local/man/man3/Tcl_GetVar.3
/usr/local/man/man3/Tcl_GetVar2.3
/usr/local/man/man3/Tcl_Gets.3
/usr/local/man/man3/GetGC.3
/usr/local/man/man3/Tcl_GlobalEval.3
/usr/local/man/man3/Tcl_HashStats.3
/usr/local/man/man3/Tcl_InitHashTable.3
/usr/local/man/man3/Tcl_InputBlocked.3
/usr/local/man/man3/Tcl_Interp.3
/usr/local/man/man3/Tcl_InterpDeleted.3
/usr/local/man/man3/Tcl_IsSafe.3
/usr/local/man/man3/Tcl_JoinPath.3
/usr/local/man/man3/Tcl_LinkVar.3
/usr/local/man/man3/Tcl_MakeSafe.3
/usr/local/man/man3/Tcl_Merge.3
/usr/local/man/man3/Tcl_NextHashEntry.3
/usr/local/man/man3/Tcl_OpenCommandChannel.3
/usr/local/man/man3/Tcl_OpenFileChannel.3
/usr/local/man/man3/Tcl_OpenTcpClient.3
/usr/local/man/man3/Tcl_OpenTcpServer.3
/usr/local/man/man3/Tcl_PkgProvide.3
/usr/local/man/man3/Tcl_PkgRequire.3
/usr/local/man/man3/Tcl_PosixError.3
/usr/local/man/man3/Tcl_Preserve.3
/usr/local/man/man3/Tcl_PrintDouble.3
/usr/local/man/man3/Tcl_QueueEvent.3
/usr/local/man/man3/Tcl_Read.3
/usr/local/man/man3/Tcl_Realloc.3
/usr/local/man/man3/Tcl_ReapDetachedProcs.3
/usr/local/man/man3/Tcl_RecordAndEval.3
/usr/local/man/man3/Tcl_RegExpCompile.3
/usr/local/man/man3/Tcl_RegExpExec.3
/usr/local/man/man3/Tcl_RegExpMatch.3
/usr/local/man/man3/Tcl_RegExpRange.3
/usr/local/man/man3/Tcl_Release.3
/usr/local/man/man3/Tcl_ResetResult.3
/usr/local/man/man3/Tcl_ScanElement.3
/usr/local/man/man3/Tcl_Seek.3
/usr/local/man/man3/Tcl_SetAssocData.3
/usr/local/man/man3/Tcl_SetChannelBufferSize.3
/usr/local/man/man3/Tcl_SetChannelOption.3
/usr/local/man/man3/Tcl_SetCommandInfo.3
/usr/local/man/man3/Tcl_SetErrno.3
/usr/local/man/man3/Tcl_SetDefaultTranslation.3
/usr/local/man/man3/Tcl_SetErrorCode.3
/usr/local/man/man3/Tcl_SetHashValue.3
/usr/local/man/man3/Tcl_SetMaxBlockTime.3
/usr/local/man/man3/Tcl_SetRecursionLimit.3
/usr/local/man/man3/Tcl_SetResult.3
/usr/local/man/man3/Tcl_SetStdChannel.3
/usr/local/man/man3/Tcl_SetVar.3
/usr/local/man/man3/Tcl_SetVar2.3
/usr/local/man/man3/Tcl_Sleep.3
/usr/local/man/man3/Tcl_SplitList.3
/usr/local/man/man3/Tcl_SplitPath.3
/usr/local/man/man3/Tcl_StaticPackage.3
/usr/local/man/man3/Tcl_StringMatch.3
/usr/local/man/man3/Tcl_Tell.3
/usr/local/man/man3/Tcl_TraceVar.3
/usr/local/man/man3/Tcl_TraceVar2.3
/usr/local/man/man3/Tcl_TranslateFileName.3
/usr/local/man/man3/Tcl_UnlinkVar.3
/usr/local/man/man3/Tcl_UnsetVar.3
/usr/local/man/man3/Tcl_UnsetVar2.3
/usr/local/man/man3/Tcl_UntraceVar.3
/usr/local/man/man3/Tcl_UntraceVar2.3
/usr/local/man/man3/Tcl_UpVar.3
/usr/local/man/man3/Tcl_UpVar2.3
/usr/local/man/man3/Tcl_UpdateLinkedVar.3
/usr/local/man/man3/Tcl_VarEval.3
/usr/local/man/man3/Tcl_VarTraceInfo.3
/usr/local/man/man3/Tcl_VarTraceInfo2.3
/usr/local/man/man3/Tcl_WaitForEvent.3
/usr/local/man/man3/Tcl_WatchFile.3
/usr/local/man/man3/Tcl_Write.3
/usr/local/man/man3/3DBorder.3
/usr/local/man/man3/BindTable.3
/usr/local/man/man3/CanvPsY.3
/usr/local/man/man3/CanvTkwin.3
/usr/local/man/man3/CanvTxtInfo.3
/usr/local/man/man3/Clipboard.3
/usr/local/man/man3/ClrSelect.3
/usr/local/man/man3/ConfigWidg.3
/usr/local/man/man3/ConfigWind.3
/usr/local/man/man3/GetUid.3
/usr/local/man/man3/CoordToWin.3
/usr/local/man/man3/CrtErrHdlr.3
/usr/local/man/man3/CrtGenHdlr.3
/usr/local/man/man3/CrtImgType.3
/usr/local/man/man3/CrtItemType.3
/usr/local/man/man3/CrtPhImgFmt.3
/usr/local/man/man3/CrtSelHdlr.3
/usr/local/man/man3/CrtWindow.3
/usr/local/man/man3/DeleteImg.3
/usr/local/man/man3/DrawFocHlt.3
/usr/local/man/man3/EventHndlr.3
/usr/local/man/man3/FindPhoto.3
/usr/local/man/man3/FreeXId.3
/usr/local/man/man3/GeomReq.3
/usr/local/man/man3/GetAnchor.3
/usr/local/man/man3/GetBitmap.3
/usr/local/man/man3/GetCapStyl.3
/usr/local/man/man3/GetClrmap.3
/usr/local/man/man3/GetColor.3
/usr/local/man/man3/GetCursor.3
/usr/local/man/man3/GetFontStr.3
/usr/local/man/man3/GetImage.3
/usr/local/man/man3/GetJoinStl.3
/usr/local/man/man3/GetJustify.3
/usr/local/man/man3/GetOption.3
/usr/local/man/man3/GetPixels.3
/usr/local/man/man3/GetPixmap.3
/usr/local/man/man3/GetRelief.3
/usr/local/man/man3/GetRootCrd.3
/usr/local/man/man3/GetScroll.3
/usr/local/man/man3/GetSelect.3
/usr/local/man/man3/GetVRoot.3
/usr/local/man/man3/GetVisual.3
/usr/local/man/man3/HandleEvent.3
/usr/local/man/man3/IdToWindow.3
/usr/local/man/man3/ImgChanged.3
/usr/local/man/man3/InternAtom.3
/usr/local/man/man3/MainLoop.3
/usr/local/man/man3/MainWin.3
/usr/local/man/man3/MaintGeom.3
/usr/local/man/man3/ManageGeom.3
/usr/local/man/man3/MapWindow.3
/usr/local/man/man3/MoveToplev.3
/usr/local/man/man3/Name.3
/usr/local/man/man3/NameOfImg.3
/usr/local/man/man3/OwnSelect.3
/usr/local/man/man3/ParseArgv.3
/usr/local/man/man3/QWinEvent.3
/usr/local/man/man3/Restack.3
/usr/local/man/man3/RestrictEv.3
/usr/local/man/man3/Tk_Uid.3
/usr/local/man/man3/SetAppName.3
/usr/local/man/man3/SetClass.3
/usr/local/man/man3/SetGrid.3
/usr/local/man/man3/SetVisual.3
/usr/local/man/man3/StrictMotif.3
/usr/local/man/man3/Tk_Init.3
/usr/local/man/man3/Tk_Main.3
/usr/local/man/man3/WindowId.3
/usr/local/man/man3/Tk_3DBorderColor.3
/usr/local/man/man3/Tk_3DBorderGC.3
/usr/local/man/man3/Tk_3DHorizontalBevel.3
/usr/local/man/man3/Tk_3DVerticalBevel.3
/usr/local/man/man3/Tk_Attributes.3
/usr/local/man/man3/Tk_BindEvent.3
/usr/local/man/man3/Tk_CanvasDrawableCoords.3
/usr/local/man/man3/Tk_CanvasEventuallyRedraw.3
/usr/local/man/man3/Tk_CanvasGetCoord.3
/usr/local/man/man3/Tk_CanvasPsBitmap.3
/usr/local/man/man3/Tk_CanvasPsColor.3
/usr/local/man/man3/Tk_CanvasPsFont.3
/usr/local/man/man3/Tk_CanvasPsPath.3
/usr/local/man/man3/Tk_CanvasPsStipple.3
/usr/local/man/man3/Tk_CanvasPsY.3
/usr/local/man/man3/Tk_CanvasSetStippleOrigin.3
/usr/local/man/man3/Tk_CanvasTagsOption.3
/usr/local/man/man3/Tk_CanvasTextInfo.3
/usr/local/man/man3/Tk_CanvasTkwin.3
/usr/local/man/man3/Tk_CanvasWindowCoords.3
/usr/local/man/man3/Tk_ChangeWindowAttributes.3
/usr/local/man/man3/Tk_Changes.3
/usr/local/man/man3/Tk_Class.3
/usr/local/man/man3/Tk_ClearSelection.3
/usr/local/man/man3/Tk_ClipboardAppend.3
/usr/local/man/man3/Tk_ClipboardClear.3
/usr/local/man/man3/Tk_Colormap.3
/usr/local/man/man3/Tk_ConfigureInfo.3
/usr/local/man/man3/Tk_ConfigureValue.3
/usr/local/man/man3/Tk_ConfigureWidget.3
/usr/local/man/man3/Tk_X.3
/usr/local/man/man3/Tk_ConfigureWindow.3
/usr/local/man/man3/Tk_CoordsToWindow.3
/usr/local/man/man3/Tk_CreateBinding.3
/usr/local/man/man3/Tk_CreateBindingTable.3
/usr/local/man/man3/Tk_CreateErrorHandler.3
/usr/local/man/man3/Tk_CreateEventHandler.3
/usr/local/man/man3/Tk_CreateGenericHandler.3
/usr/local/man/man3/Tk_CreateImageType.3
/usr/local/man/man3/Tk_CreateItemType.3
/usr/local/man/man3/Tk_CreatePhotoImageFormat.3
/usr/local/man/man3/Tk_CreateSelHandler.3
/usr/local/man/man3/Tk_CreateWindow.3
/usr/local/man/man3/Tk_CreateWindowFromPath.3
/usr/local/man/man3/Tk_DefineBitmap.3
/usr/local/man/man3/Tk_DefineCursor.3
/usr/local/man/man3/Tk_DeleteAllBindings.3
/usr/local/man/man3/Tk_DeleteBinding.3
/usr/local/man/man3/Tk_DeleteBindingTable.3
/usr/local/man/man3/Tk_DeleteErrorHandler.3
/usr/local/man/man3/Tk_DeleteEventHandler.3
/usr/local/man/man3/Tk_DeleteGenericHandler.3
/usr/local/man/man3/Tk_DeleteImage.3
/usr/local/man/man3/Tk_DeleteSelHandler.3
/usr/local/man/man3/Tk_Depth.3
/usr/local/man/man3/Tk_DestroyWindow.3
/usr/local/man/man3/Tk_Display.3
/usr/local/man/man3/Tk_DisplayName.3
/usr/local/man/man3/Tk_Draw3DPolygon.3
/usr/local/man/man3/Tk_Draw3DRectangle.3
/usr/local/man/man3/Tk_DrawFocusHighlight.3
/usr/local/man/man3/Tk_Fill3DPolygon.3
/usr/local/man/man3/Tk_Fill3DRectangle.3
/usr/local/man/man3/Tk_FindPhoto.3
/usr/local/man/man3/Tk_Free3DBorder.3
/usr/local/man/man3/Tk_FreeBitmap.3
/usr/local/man/man3/Tk_FreeColor.3
/usr/local/man/man3/Tk_FreeColormap.3
/usr/local/man/man3/Tk_FreeCursor.3
/usr/local/man/man3/Tk_FreeFontStruct.3
/usr/local/man/man3/Tk_FreeGC.3
/usr/local/man/man3/Tk_FreeImage.3
/usr/local/man/man3/Tk_FreeOptions.3
/usr/local/man/man3/Tk_FreePixmap.3
/usr/local/man/man3/Tk_FreeXId.3
/usr/local/man/man3/Tk_GeometryRequest.3
/usr/local/man/man3/Tk_Get3DBorder.3
/usr/local/man/man3/Tk_GetAllBindings.3
/usr/local/man/man3/Tk_GetAnchor.3
/usr/local/man/man3/Tk_GetAtomName.3
/usr/local/man/man3/Tk_GetBinding.3
/usr/local/man/man3/Tk_GetBitmap.3
/usr/local/man/man3/Tk_GetBitmapFromData.3
/usr/local/man/man3/Tk_GetCapStyle.3
/usr/local/man/man3/Tk_GetColor.3
/usr/local/man/man3/Tk_GetColorByValue.3
/usr/local/man/man3/Tk_GetColormap.3
/usr/local/man/man3/Tk_GetCursor.3
/usr/local/man/man3/Tk_GetCursorFromData.3
/usr/local/man/man3/Tk_GetFontStruct.3
/usr/local/man/man3/Tk_GetGC.3
/usr/local/man/man3/Tk_GetImage.3
/usr/local/man/man3/Tk_GetItemTypes.3
/usr/local/man/man3/Tk_GetJoinStyle.3
/usr/local/man/man3/Tk_GetJustify.3
/usr/local/man/man3/Tk_GetOption.3
/usr/local/man/man3/Tk_GetPixels.3
/usr/local/man/man3/Tk_GetPixmap.3
/usr/local/man/man3/Tk_GetRelief.3
/usr/local/man/man3/Tk_GetRootCoords.3
/usr/local/man/man3/Tk_GetScreenMM.3
/usr/local/man/man3/Tk_GetScrollInfo.3
/usr/local/man/man3/Tk_GetSelection.3
/usr/local/man/man3/Tk_GetUid.3
/usr/local/man/man3/Tk_GetVRootGeometry.3
/usr/local/man/man3/Tk_GetVisual.3
/usr/local/man/man3/Tk_HandleEvent.3
/usr/local/man/man3/Tk_Height.3
/usr/local/man/man3/Tk_IdToWindow.3
/usr/local/man/man3/Tk_ImageChanged.3
/usr/local/man/man3/Tk_InternAtom.3
/usr/local/man/man3/Tk_InternalBorderWidth.3
/usr/local/man/man3/Tk_IsMapped.3
/usr/local/man/man3/Tk_IsTopLevel.3
/usr/local/man/man3/Tk_MainLoop.3
/usr/local/man/man3/Tk_MainWindow.3
/usr/local/man/man3/Tk_MaintainGeometry.3
/usr/local/man/man3/Tk_MakeWindowExist.3
/usr/local/man/man3/Tk_ManageGeometry.3
/usr/local/man/man3/Tk_MapWindow.3
/usr/local/man/man3/Tk_MoveResizeWindow.3
/usr/local/man/man3/Tk_MoveToplevelWindow.3
/usr/local/man/man3/Tk_MoveWindow.3
/usr/local/man/man3/Tk_Name.3
/usr/local/man/man3/Tk_NameOf3DBorder.3
/usr/local/man/man3/Tk_NameOfAnchor.3
/usr/local/man/man3/Tk_NameOfBitmap.3
/usr/local/man/man3/Tk_NameOfCapStyle.3
/usr/local/man/man3/Tk_NameOfColor.3
/usr/local/man/man3/Tk_NameOfCursor.3
/usr/local/man/man3/Tk_NameOfFontStruct.3
/usr/local/man/man3/Tk_NameOfImage.3
/usr/local/man/man3/Tk_NameOfJoinStyle.3
/usr/local/man/man3/Tk_NameOfJustify.3
/usr/local/man/man3/Tk_NameOfRelief.3
/usr/local/man/man3/Tk_NameToWindow.3
/usr/local/man/man3/Tk_Offset.3
/usr/local/man/man3/Tk_OwnSelection.3
/usr/local/man/man3/Tk_Parent.3
/usr/local/man/man3/Tk_ParseArgv.3
/usr/local/man/man3/Tk_PathName.3
/usr/local/man/man3/Tk_PhotoBlank.3
/usr/local/man/man3/Tk_PhotoExpand.3
/usr/local/man/man3/Tk_PhotoGetImage.3
/usr/local/man/man3/Tk_PhotoGetSize.3
/usr/local/man/man3/Tk_PhotoPutBlock.3
/usr/local/man/man3/Tk_PhotoPutZoomedBlock.3
/usr/local/man/man3/Tk_PhotoSetSize.3
/usr/local/man/man3/Tk_QueueWindowEvent.3
/usr/local/man/man3/Tk_RedrawImage.3
/usr/local/man/man3/Tk_ReqHeight.3
/usr/local/man/man3/Tk_ReqWidth.3
/usr/local/man/man3/Tk_ResizeWindow.3
/usr/local/man/man3/Tk_RestackWindow.3
/usr/local/man/man3/Tk_RestrictEvents.3
/usr/local/man/man3/Tk_Screen.3
/usr/local/man/man3/Tk_ScreenNumber.3
/usr/local/man/man3/Tk_SetAppName.3
/usr/local/man/man3/Tk_SetBackgroundFromBorder.3
/usr/local/man/man3/Tk_SetClass.3
/usr/local/man/man3/Tk_SetGrid.3
/usr/local/man/man3/Tk_SetInternalBorder.3
/usr/local/man/man3/Tk_SetWindowBackground.3
/usr/local/man/man3/Tk_SetWindowBackgroundPixmap.3
/usr/local/man/man3/Tk_SetWindowBorder.3
/usr/local/man/man3/Tk_SetWindowBorderPixmap.3
/usr/local/man/man3/Tk_SetWindowBorderWidth.3
/usr/local/man/man3/Tk_SetWindowColormap.3
/usr/local/man/man3/Tk_SetWindowVisual.3
/usr/local/man/man3/Tk_SizeOfBitmap.3
/usr/local/man/man3/Tk_SizeOfImage.3
/usr/local/man/man3/Tk_StrictMotif.3
/usr/local/man/man3/Tk_UndefineCursor.3
/usr/local/man/man3/Tk_UnmaintainGeometry.3
/usr/local/man/man3/Tk_UnmapWindow.3
/usr/local/man/man3/Tk_UnsetGrid.3
/usr/local/man/man3/Tk_Visual.3
/usr/local/man/man3/Tk_Width.3
/usr/local/man/man3/Tk_WindowId.3
/usr/local/man/man3/Tk_Y.3
/usr/local/man/mann/Tcl.n
/usr/local/man/mann/after.n
/usr/local/man/mann/append.n
/usr/local/man/mann/array.n
/usr/local/man/mann/bgerror.n
/usr/local/man/mann/break.n
/usr/local/man/mann/case.n
/usr/local/man/mann/catch.n
/usr/local/man/mann/cd.n
/usr/local/man/mann/clock.n
/usr/local/man/mann/close.n
/usr/local/man/mann/concat.n
/usr/local/man/mann/continue.n
/usr/local/man/mann/eof.n
/usr/local/man/mann/error.n
/usr/local/man/mann/eval.n
/usr/local/man/mann/exec.n
/usr/local/man/mann/exit.n
/usr/local/man/mann/expr.n
/usr/local/man/mann/fblocked.n
/usr/local/man/mann/fconfigure.n
/usr/local/man/mann/file.n
/usr/local/man/mann/fileevent.n
/usr/local/man/mann/filename.n
/usr/local/man/mann/flush.n
/usr/local/man/mann/for.n
/usr/local/man/mann/foreach.n
/usr/local/man/mann/format.n
/usr/local/man/mann/gets.n
/usr/local/man/mann/glob.n
/usr/local/man/mann/global.n
/usr/local/man/mann/history.n
/usr/local/man/mann/if.n
/usr/local/man/mann/incr.n
/usr/local/man/mann/info.n
/usr/local/man/mann/interp.n
/usr/local/man/mann/join.n
/usr/local/man/mann/lappend.n
/usr/local/man/mann/library.n
/usr/local/man/mann/lindex.n
/usr/local/man/mann/linsert.n
/usr/local/man/mann/list.n
/usr/local/man/mann/llength.n
/usr/local/man/mann/load.n
/usr/local/man/mann/lrange.n
/usr/local/man/mann/lreplace.n
/usr/local/man/mann/lsearch.n
/usr/local/man/mann/lsort.n
/usr/local/man/mann/open.n
/usr/local/man/mann/package.n
/usr/local/man/mann/pid.n
/usr/local/man/mann/pkgMkIndex.n
/usr/local/man/mann/proc.n
/usr/local/man/mann/puts.n
/usr/local/man/mann/pwd.n
/usr/local/man/mann/read.n
/usr/local/man/mann/regexp.n
/usr/local/man/mann/regsub.n
/usr/local/man/mann/rename.n
/usr/local/man/mann/return.n
/usr/local/man/mann/scan.n
/usr/local/man/mann/seek.n
/usr/local/man/mann/set.n
/usr/local/man/mann/socket.n
/usr/local/man/mann/source.n
/usr/local/man/mann/split.n
/usr/local/man/mann/string.n
/usr/local/man/mann/subst.n
/usr/local/man/mann/switch.n
/usr/local/man/mann/tclvars.n
/usr/local/man/mann/tell.n
/usr/local/man/mann/time.n
/usr/local/man/mann/trace.n
/usr/local/man/mann/unknown.n
/usr/local/man/mann/unset.n
/usr/local/man/mann/update.n
/usr/local/man/mann/uplevel.n
/usr/local/man/mann/upvar.n
/usr/local/man/mann/vwait.n
/usr/local/man/mann/while.n
/usr/local/man/mann/pkg_mkIndex.n
/usr/local/man/mann/bell.n
/usr/local/man/mann/bind.n
/usr/local/man/mann/bindtags.n
/usr/local/man/mann/bitmap.n
/usr/local/man/mann/button.n
/usr/local/man/mann/canvas.n
/usr/local/man/mann/checkbutton.n
/usr/local/man/mann/chooseColor.n
/usr/local/man/mann/clipboard.n
/usr/local/man/mann/destroy.n
/usr/local/man/mann/dialog.n
/usr/local/man/mann/entry.n
/usr/local/man/mann/event.n
/usr/local/man/mann/focus.n
/usr/local/man/mann/focusNext.n
/usr/local/man/mann/frame.n
/usr/local/man/mann/getOpenFile.n
/usr/local/man/mann/grab.n
/usr/local/man/mann/grid.n
/usr/local/man/mann/image.n
/usr/local/man/mann/label.n
/usr/local/man/mann/listbox.n
/usr/local/man/mann/lower.n
/usr/local/man/mann/menu.n
/usr/local/man/mann/menubar.n
/usr/local/man/mann/menubutton.n
/usr/local/man/mann/message.n
/usr/local/man/mann/messageBox.n
/usr/local/man/mann/option.n
/usr/local/man/mann/optionMenu.n
/usr/local/man/mann/options.n
/usr/local/man/mann/pack-old.n
/usr/local/man/mann/pack.n
/usr/local/man/mann/palette.n
/usr/local/man/mann/photo.n
/usr/local/man/mann/place.n
/usr/local/man/mann/popup.n
/usr/local/man/mann/radiobutton.n
/usr/local/man/mann/raise.n
/usr/local/man/mann/scale.n
/usr/local/man/mann/scrollbar.n
/usr/local/man/mann/selection.n
/usr/local/man/mann/send.n
/usr/local/man/mann/text.n
/usr/local/man/mann/tk.n
/usr/local/man/mann/tkerror.n
/usr/local/man/mann/tkvars.n
/usr/local/man/mann/tkwait.n
/usr/local/man/mann/toplevel.n
/usr/local/man/mann/winfo.n
/usr/local/man/mann/wm.n
/usr/local/man/mann/tk_bindForTraversal.n
/usr/local/man/mann/tk_bisque.n
/usr/local/man/mann/tk_chooseColor.n
/usr/local/man/mann/tk_dialog.n
/usr/local/man/mann/tk_focusFollowsMouse.n
/usr/local/man/mann/tk_focusNext.n
/usr/local/man/mann/tk_focusPrev.n
/usr/local/man/mann/tk_getOpenFile.n
/usr/local/man/mann/tk_getSaveFile.n
/usr/local/man/mann/tk_menuBar.n
/usr/local/man/mann/tk_messageBox.n
/usr/local/man/mann/tk_optionMenu.n
/usr/local/man/mann/tk_popup.n
/usr/local/man/mann/tk_setPalette.n

